Subject: [PATCH v2] gpio/omap: fix incorrect initialization of omap_gpio_mod_init

From: [email-masked] (Grant Likely)
Date: Fri, 11 May 2012 12:57:45 -0600

On Thu, 10 May 2012 07:23:56 -0700, Kevin Hilman <[email-masked]> wrote:
> Grant,
> 
> "DebBarma, Tarun Kanti" <[email-masked]> writes:
> 
> > Hi,
> >
> > On Thu, May 10, 2012 at 3:06 AM, Janusz Krzysztofik
> > <[email-masked]> wrote:
> >> On Mon, 7 May 2012 10:52:28 DebBarma, Tarun Kanti wrote:
> >>> On Sun, May 6, 2012 at 3:25 AM, Grazvydas Ignotas <[email-masked]> wrote:
> >>> > On Mon, Apr 30, 2012 at 10:20 AM, Tarun Kanti DebBarma
> >>> > <[email-masked]> wrote:
> >>> >> Initialization of irqenable, irqstatus registers is the common
> >>> >> operation done in this function for all OMAP platforms, viz. OMAP1,
> >>> >> OMAP2+. The latter _gpio_rmw()'s which supposedly got introduced
> >>> >> wrongly to take care of OMAP2+ platforms were overwriting initially
> >>> >> programmed OMAP1 value breaking functionality on OMAP1.
> >>
> >> Hi,
> >> I can confirm that my other issues with GPIO on Amstrad Delta were not
> >> related, and this patch is still required for GPIO interrupts hardware
> >> being correctly initialized on OMAP1 in 3.4-rc6. You can add my
> >>
> >> Tested-by: Janusz Krzysztofik <[email-masked]>
> >>
> >> if you wish.
> > Thank you for confirming!!
> 
> We'd like to get this one in for v3.4-rc.  Can you queue it?
> 
> I added the tested-by from Janusz and my signoff, and pull request is
> below.

Pulled, thanks.  I'll send a pull req out to Linus today.

g.